const ASSIGNED = "assigned";
const OPEN = "open";
const ONGOING = "ONGOING";
const CLOSED = "closed";
const IGNORED = "ignored";
const UNKNOWN = "unknown";
const BLOCKED = "blocked";
const IN_VALIDATION = "in validation";
const IN_DEVELOPMENT = "in development";
const READY_TO_BE_IMPLEMENTED = "ready to be implemented";
const UNASSIGNED = "unassigned";
const FILTER_EMPTY_ARRAY = "EMPTY_ARRAY";
const FILTER_ANY = "FILTER_ANY";
const FILTER_MULTI_SELECT = "FILTER_MULTI_SELECT";
const FILTER_TEXT_SEARCH = "FILTER_TEXT_SEARCH";
const defaultStats = Object.freeze({
  [ASSIGNED]: 0,
  [OPEN]: 0,
  [CLOSED]: 0,
  [READY_TO_BE_IMPLEMENTED]: 0,
  [IGNORED]: 0,
  total: 0,
});

const ISSUE_STATES = Object.freeze({
  READY_TO_BE_IMPLEMENTED: READY_TO_BE_IMPLEMENTED,
  ASSIGNED: ASSIGNED,
  OPEN: OPEN,
  UNASSIGNED: UNASSIGNED,
  CLOSED: CLOSED,
  IGNORED: IGNORED,
});

const ISSUE_STATES_SUS = Object.freeze({
  OPEN: OPEN,
  UNKNOWN: UNKNOWN,
  BLOCKED: BLOCKED,
  IN_VALIDATION: IN_VALIDATION,
  IN_DEVELOPMENT: IN_DEVELOPMENT,
  CLOSED: CLOSED,
});

module.exports = {
  ASSIGNED,
  OPEN,
  ONGOING,
  CLOSED,
  READY_TO_BE_IMPLEMENTED,
  ISSUE_STATES_SUS,
  defaultStats,
  UNASSIGNED,
  IGNORED,
  FILTER_EMPTY_ARRAY,
  FILTER_ANY,
  FILTER_MULTI_SELECT,
  FILTER_TEXT_SEARCH,
  ISSUE_STATES,
};
